## RENAME VIEW Statement (rename_view_statement)

The RENAME VIEW statement (rename_view_statement) changes the name of a view table.

### Syntax

<rename_view_statement> ::= RENAME VIEW <old_table_name> TO <new_table_name>

<old_table_name> ::= <table_name>
<new_table_name> ::= <table_name

### Explanation

If a schema name is not specified in the table name, the current schema is assumed implicitly. The table old_table_name must be a view table. The current user must be the owner of the view table and must have the CREATEIN privilege for the schema identified by new_table_name .

The new table name must not already be assigned to a base or view table or a private synonym in the schema identified by new_table_name .

The CREATE VIEW statement of the old_table_name view table is adapted to the new name. The result of this adaptation can be retrieved from the table DOMAIN.VIEWDEFS.

The definitions of view tables based on the old_table_name are adapted to the new name.